Bug 180038 - dell inspiron 600m graphics broken on resume with kernel-2.6.15-1.1830_FC4
dell inspiron 600m graphics broken on resume with kernel-2.6.15-1.1830_FC4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-04 18:07 EST by Thomas J. Baker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 10:14:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-02-04 18:07:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-1.tjb Firefox/1.5

Description of problem:
Resume seems to come back completely but the graphics are locked in a random color mosaic kind of way. I can then push the power button and the system does a clean shutdown. I did run the udpates-testing kernels and had the same problems but I thought I read it was due to the frame buffer thing that was enabled with those two kernels. I guess I should have still reported it. The kernel-2.6.14-1.1656_FC4 kernel still works fine so it's not related to any other updated packages that were installed.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1830_FC4

How reproducible:
Always

Steps to Reproduce:
1. suspend machine
2. resume
3.
  

Actual Results:  Laptop resumes but graphics are locked.

Expected Results:  Resumes with graphics working.

Additional info:

I tried it once and it didn't work. I'll try again after I submit this to make sure it's reproducible.
Comment 1 Dave Jones 2006-09-16 22:20:01 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 14:30:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Thomas J. Baker 2006-10-30 10:14:39 EST
I think this was fixed in a later kernel. I don't have the laptop anymore to test.

Note You need to log in before you can comment on or make changes to this bug.